Text.Show.Pretty

# Generic representation of values

data Value

type Name

valToStr

valToDoc

valToHtmlPage

# Values using the `Show` class

parseValue

reify

ppDoc

ppShow

pPrint

# Values using the `PrettyVal` class

dumpDoc

dumpStr

class PrettyVal a

# Rendering values to Html

valToHtml

data HtmlOpts

defaultHtmlOpts

htmlPage

data Html

# Get location of data files

getDataDir

# Deprecated

ppValue